| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iFlareHalo Struct Reference
[Lighting]

This is a halo which resembles a (solar) flare. More...

`#include <iengine/halo.h>`

Inheritance diagram for iFlareHalo:

[legend]
List of all members.

## Public Member Functions
virtual uint | AddComponent (float pos, float w, float h, uint mode, iMaterialWrapper *image)=0
| Add a visual component to the flare.
virtual void | SetComponentColor (uint component, const csVector4 &color)=0
| Set component color, use id retrieved from AddComponent.

## Detailed Description

This is a halo which resembles a (solar) flare.

Definition at line 100 of file halo.h.

## Member Function Documentation

virtual uint iFlareHalo::AddComponent | ( | float | pos,
|  | float | w,
|  | float | h,
|  | uint | mode,
|  | iMaterialWrapper * | image |
| ) |  |  | `[pure virtual]`

Add a visual component to the flare.

give position, size, image and mixmode. The component is added at the end of the list - to be displayed last. Returns added component id.

virtual void iFlareHalo::SetComponentColor | ( | uint | component,
|  | const csVector4 & | color |
| ) |  |  | `[pure virtual]`

Set component color, use id retrieved from AddComponent.

The documentation for this struct was generated from the following file:

- iengine/halo.h